package hypersudoku;

public class Solution {
	/**
	 * 
	 * Completes the values in a sudoku matrix.
	 * @param matrix - a 9x9 matrix that contains values from {-1,1,...,9}
	 * @precondition matrix != null
	 * @precondition matrix.length == 9
	 * @precondition for i=0..8  (matrix[i] != null) && (matrix[i].length==9)
	 * @precondition for i=0..8, j=0..8  ((matrix[i][j]>=1) && (matrix[i][j]<=9)) || matrix[i][j]==-1
	 * @return whether there exists a solution to matrix.
	 * @postcondition If there exists a solution - only the empty entries (-1) in matrix are changed such that
	 *         every column, row, zone and hyper-zone contains each of the digits 1..9 exactly once. 
	 *         Otherwise, matrix is unchanged.  	 
	 */
	public static boolean calcSolution(int[][] matrix){
		/* YOUR CODE GOES HERE */
	}
}
